This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 614047 - Review Request: mingw32-spice-protocol - Spice protocol header files
Review Request: mingw32-spice-protocol - Spice protocol header files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-13 11:06 EDT by Gerd Hoffmann
Modified: 2011-03-12 04:39 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 11:31:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
erik-fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gerd Hoffmann 2010-07-13 11:06:12 EDT
Spec URL: http://kraxel.fedorapeople.org/review/mingw32-spice-protocol/mingw32-spice-protocol.spec
SRPM URL: http://kraxel.fedorapeople.org/review/mingw32-spice-protocol/mingw32-spice-protocol-0.5.2-1.fc14.src.rpm
Description: 
Header files describing the spice protocol
and the para-virtual graphics card QXL.
Comment 1 Erik van Pienbroek 2010-07-25 16:20:32 EDT
$ rpmlint mingw32-spice-protocol.spec 
mingw32-spice-protocol.spec: W: no-cleaning-of-buildroot %install
mingw32-spice-protocol.spec: W: no-cleaning-of-buildroot %clean
mingw32-spice-protocol.spec: W: no-buildroot-tag
mingw32-spice-protocol.spec: W: no-%clean-section
0 packages and 1 specfiles checked; 0 errors, 4 warnings.

- Please fix the rpmlint warnings mentioned above
- Please use %global instead of %define for all the macros at the top of the .spec file
- Please use %defattr(,-,root,root,-) instead of %defattr(-,root,root)
Comment 2 Erik van Pienbroek 2010-07-25 16:35:00 EDT
One other thing, the BuildRequires: autoconf automake can be dropped as the configure script doesn't need to be rebuilt.
The BuildRequires: mingw32-binutils and mingw32-gcc can also be dropped as nothing gets compiled in this package
Comment 3 Gerd Hoffmann 2010-08-03 18:12:20 EDT
New packages are uploaded to
http://kraxel.fedorapeople.org/review/mingw32-spice-protocol/

The rpmlint warnings are bogous, this isn't needed any more for recent (Fedora 13+) rpm versions.  IIRC rawhide's rpmlint doesn't warn any more.

The other issues are fixed.
Comment 4 Erik van Pienbroek 2010-09-11 09:56:24 EDT
$ rpmlint mingw32-spice-protocol.spec 
mingw32-spice-protocol.spec: W: no-cleaning-of-buildroot %install
mingw32-spice-protocol.spec: W: no-cleaning-of-buildroot %clean
mingw32-spice-protocol.spec: W: no-buildroot-tag
mingw32-spice-protocol.spec: W: no-%clean-section
0 packages and 1 specfiles checked; 0 errors, 4 warnings.

$ rpmlint mingw32-spice-protocol-0.5.3-2.fc14.src.rpm 
mingw32-spice-protocol.src: W: no-cleaning-of-buildroot %install
mingw32-spice-protocol.src: W: no-cleaning-of-buildroot %clean
mingw32-spice-protocol.src: W: no-buildroot-tag
mingw32-spice-protocol.src: W: no-%clean-section
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

$ rpmlint mingw32-spice-protocol-0.5.3-2.fc14.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

All these rpmlint warnings can be ignored

$ rpmquery --requires mingw32-spice-protocol
pkgconfig  
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw32-filesystem >= 57
mingw32-runtime  
rpmlib(PayloadIsXz) <= 5.2-1

$ rpmquery --provides mingw32-spice-protocol
mingw32-spice-protocol = 0.5.3-2.fc14

$ rpmquery --fileprovide mingw32-spice-protocol
/usr/i686-pc-mingw32/sys-root/mingw/include/spice-1	
/usr/i686-pc-mingw32/sys-root/mingw/include/spice-1/spice	
/usr/i686-pc-mingw32/sys-root/mingw/include/spice-1/spice/barrier.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/spice-1/spice/end-packed.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/spice-1/spice/enums.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/spice-1/spice/error_codes.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/spice-1/spice/ipc_ring.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/spice-1/spice/macros.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/spice-1/spice/protocol.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/spice-1/spice/qxl_dev.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/spice-1/spice/start-packed.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/spice-1/spice/stats.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/spice-1/spice/types.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/spice-1/spice/vd_agent.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/spice-1/spice/vdi_dev.h	
/usr/i686-pc-mingw32/sys-root/mingw/share/pkgconfig/spice-protocol.pc	
/usr/share/doc/mingw32-spice-protocol-0.5.3	
/usr/share/doc/mingw32-spice-protocol-0.5.3/COPYING	
/usr/share/doc/mingw32-spice-protocol-0.5.3/NEWS	

$ curl http://www.spice-space.org/download/releases/spice-protocol-0.5.3.tar.gz | md5sum
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 75401  100 75401    0     0  69786      0  0:00:01  0:00:01 --:--:-- 86172
c2495c0c61fb87403225a0bdee01474d  -
$ md5sum spice-protocol-0.5.3.tar.gz 
c2495c0c61fb87403225a0bdee01474d  spice-protocol-0.5.3.tar.gz


+ OK
! Needs to be looked into
/ Not applicable
* Overridden by MinGW guidelines

[+] Files are installed in /usr/i686-pc-mingw32/sys-root/mingw
[+] BuildRequires: mingw32-filesystem >= xx is in the .spec file
[+] Requires are OK
[+] BuildArch: noarch
[+] No man pages or info files
[+] default strip and objdump commands are overridden with mingw32 specific ones


[+] rpmlint must be run on every package. The output should be posted in the review
[+] MUST: The package must be named according to the Package Naming Guidelines
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines
[+] MUST: The package must meet the Packaging Guidelines
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[/] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines; inclusion of those as BuildRequires is optional.
[/] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[/] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
[/] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines .
[+] MUST: The package must contain code, or permissable content.
[/] MUST: Large documentation files should go in a -doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[*] MUST: Header files must be in a -devel package.
[/] MUST: Static libraries must be in a -static package.
[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[/] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[/] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
[/] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[/] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.
[/] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[/] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock. See MockTricks for details on how to do this.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[/] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[/] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[*] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.
[/] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


============================================================
 The package mingw32-spice-protocol is APPROVED by epienbro 
============================================================
Comment 5 Gerd Hoffmann 2010-09-16 07:57:18 EDT
New Package SCM Request
=======================
Package Name: mingw32-spice-protocol
Short Description: Spice protocol header files
Owners: kraxel
Branches: f14
InitialCC:
Comment 6 Kevin Fenzi 2010-09-16 18:56:11 EDT
Git done (by process-git-requests).
Comment 7 Erik van Pienbroek 2010-11-10 11:31:10 EST
Package has been imported and built successfully for rawhide and F14. Closing review request
Comment 8 Gianluca Cecchi 2011-03-12 04:39:08 EST
Hello,
on my F14 system
# yum install mingw32-spice-protocol
...
Setting up Install Process
No package mingw32-spice-protocol available.
Error: Nothing to do

Was this package kept off from F14 then?
I only find spice-protocol....
Can I compile mingw32-spice-protocol with version 0.8.0 as I'm using fedora-virt-preview repo on my F14?
I would like to compile recent windows drivers binaries...
Thanks,
Gianluca

Note You need to log in before you can comment on or make changes to this bug.